.\"	$NetBSD: mstohz.9,v 1.5 2003/10/05 17:48:49 bouyer Exp $
.\"
.\" Copyright (c) 2002 Manuel Bouyer.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"
.Dd April 4, 2002
.Dt MSTOHZ 9
.Os
.Sh NAME
.Nm mstohz
.Nd convert milliseconds to system clock ticks
.Sh SYNOPSIS
.In sys/param.h
.Ft int
.Fn mstohz "int ms"
.Sh DESCRIPTION
.Nm
can be used to convert time in milliseconds to system clock ticks, as used
by the
.Xr callout 9
facility, in an integer-overflow safe way.
.Pp
This function is implemented as a define in the
.Em \*[Lt]sys/param.h\*[Gt]
header.
Individual ports can have a processor-specific, more efficient
version implemented in their
.Em \*[Lt]machine/param.h\*[Gt]
header as a define.
.Sh RETURN VALUES
The return value is the number of clock ticks for the specified value.
.Sh SEE ALSO
.Xr callout 9
.Sh BUGS
The machine-independent
.Fn mstohz
function does not make use of expensive 64-bit integer arithmetic, so
the result will be rounded down to one second if the parameter is larger
than 131072 milliseconds.
